    001/* ========================================================================
    002 * JCommon : a free general purpose class library for the Java(tm) platform
    003 * ========================================================================
    004 *
    005 * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jcommon/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025 * in the United States and other countries.]
    026 *
    027 * -------------
    028 * ExtendedConfiguration.java
    029 * -------------
    030 * (C)opyright 2002-2005, by Thomas Morgner and Contributors.
    031 *
    032 * Original Author:  Thomas Morgner;
    033 * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034 *
    035 * $Id: ExtendedConfiguration.java,v 1.3 2005/10/18 13:24:19 mungady Exp $
    036 *
    037 * Changes
    038 * -------
    039 * 20-May-2005 : Initial version.
    040 */
    041package org.jfree.util;
    042
    043/**
    044 * The extended configuration provides methods to make using the
    045 * configuration easier.
    046 *
    047 * @author Thomas Morgner
    048 */
    049public interface ExtendedConfiguration extends Configuration
    050{
    051  /**
    052   * Checks, whether a given property is defined.
    053   *
    054   * @param name the name of the property
    055   * @return true, if the property is defined, false otherwise.
    056   */
    057  public boolean isPropertySet (String name);
    058
    059  /**
    060   * Returns a given property as int value. Zero is returned if the
    061   * property value is no number or the property is not set.
    062   *
    063   * @param name the name of the property
    064   * @return the parsed number value or zero
    065   */
    066  public int getIntProperty (String name);
    067
    068  /**
    069   * Returns a given property as int value. The specified default value is returned if the
    070   * property value is no number or the property is not set.
    071   *
    072   * @param name the name of the property
    073   * @param defaultValue the value to be returned if the property is no integer value
    074   * @return the parsed number value or the specified default value
    075   */
    076  public int getIntProperty (String name, int defaultValue);
    077
    078  /**
    079   * Returns the boolean value of a given configuration property. The boolean value true
    080   * is returned, if the contained string is equal to 'true'.
    081   *
    082   * @param name the name of the property
    083   * @return the boolean value of the property.
    084   */
    085  public boolean getBoolProperty (String name);
    086
    087  /**
    088   * Returns the boolean value of a given configuration property. The boolean value true
    089   * is returned, if the contained string is equal to 'true'. If the property is not set,
    090   * the default value is returned.
    091   *
    092   * @param name the name of the property
    093   * @param defaultValue the default value to be returned if the property is not set
    094   * @return the boolean value of the property.
    095   */
    096  public boolean getBoolProperty (String name, boolean defaultValue);
    097}